#region Header 
/*----------------------------------------------------------------------------------------------------------------------
 * Description : Demo program to show the features of the FileDrop component

 * File : FormFileDropTester.cs
 * Namespaces : ScipBe.Demo.FileDrop
 * Classes : FormFileDropTester

 * Dates : November 2006
 * Version : 1.0

 * Author : Stefan Cruysberghs
 * Email : stefancr@scip.be
 * Website : http://www.scip.be
------------------------------------------------------------------------------------------------------------------------*/
#endregion

using System;
using System.Windows.Forms;
using ScipBe.Controls.WinForms;

namespace ScipBe.Demo.FileDrop
{
  public partial class FormFileDropTester : Form
  {
    public FormFileDropTester()
    {
      InitializeComponent();
    }

    private void FormFileDropTester_Load(object sender, EventArgs e)
    {
      fileDrop1.AllowDrop = true;
      fileDrop1.DropControl = listBox1;
      fileDrop1.AllowedFileExtensions.Add("JPG");
      fileDrop1.AllowedFileExtensions.Add("BMP");
    }

    private void fileDrop1_FilesDropped(object source, FilesDroppedEventArgs e)
    {
      listBox1.Items.Clear();
      listBox1.Items.AddRange(e.FileNames.ToArray());
      listBox1.Items.Add("DropPoint.X = " +e.DropPoint.X.ToString());
      listBox1.Items.Add("DropPoint.Y = " + e.DropPoint.Y.ToString());
      listBox1.Items.Add("TotalFilesCount = " + e.TotalFilesCount.ToString());
      listBox1.Items.Add("AcceptedFilesCount = " + e.AcceptedFilesCount.ToString());

      this.Activate();
    }

    private void radioButton1_CheckedChanged(object sender, EventArgs e)
    {
      fileDrop1.AllowDrop = true;
      fileDrop2.AllowDrop = false;
      this.AllowDrop = false;
    }

    private void radioButton2_CheckedChanged(object sender, EventArgs e)
    {
      fileDrop1.AllowDrop = false;
      fileDrop2.AllowDrop = true;
      this.AllowDrop = false;
    }

    private void radioButtonForm_CheckedChanged(object sender, EventArgs e)
    {
      fileDrop1.AllowDrop = false;
      fileDrop2.AllowDrop = false;
      this.AllowDrop = true;
    }

    private void FormFileDropTester_DragEnter(object sender, DragEventArgs e)
    {
      if (e.Data.GetDataPresent(DataFormats.FileDrop))
        e.Effect = DragDropEffects.Copy;
      else
        e.Effect = DragDropEffects.None;
    }
    
    private void FormFileDropTester_DragDrop(object sender, DragEventArgs e)
    {
      string[] fileNames = (string[])e.Data.GetData(DataFormats.FileDrop);
      listBox1.Items.Clear();
      foreach (string fileName in fileNames)
      {
        listBox1.Items.Add(fileName);
      }
    }
 
  }
}